Orxonox: CEGUI Namespace Reference

# CEGUI Namespace Reference

## Classes

class | CEGUIRQListener
| RenderQueueListener based class used to hook into the ogre rendering system. More...
class | EventConnection
class | LuaFunctor
| Functor class used for subscribing Lua functions to CEGUI events. More...
class | LuaScriptModule
| Interface for the LuaScriptModule class. More...
class | OgreCEGUIRenderer
| Renderer class to interface with Ogre engine. More...
class | OgreCEGUIResourceProvider
class | OgreCEGUITexture
| Texture class that is created by OgreCEGUIRenderer objects. More...

## Typedefs

typedef Event::Connection | EventConnection
typedef EventSet::Iterator | EventIterator
typedef WindowFactoryManager::FalagardMappingIterator | FalagardMappingIterator
typedef WindowFactoryManager::FalagardWindowMapping | FalagardWindowMapping
typedef std::ofstream | FileStream
typedef FontManager::FontIterator | FontIterator
typedef Imageset::ImageIterator | ImageIterator
typedef ImagesetManager::ImagesetIterator | ImagesetIterator
typedef PropertySet::Iterator | PropertyIterator
typedef SchemeManager::SchemeIterator | SchemeIterator
typedef WindowFactoryManager::WindowFactoryIterator | WindowFactoryIterator
typedef WindowManager::WindowIterator | WindowIterator

## Functions

void | _byteSwap (unsigned char *b, int n)
ListboxTextItem * | ceguiLua_createListboxTextItem (const String &text, uint item_id, void *item_data, bool disabled, bool auto_delete)
void | ceguiLua_FileStream_open (FileStream *os, const char *filename)
template<typename T>
EventIterator | ceguiLua_getEventIterator (const T *self)
template<typename T>
PropertyIterator | ceguiLua_getPropertyIterator (const T *self)
bool | ceguiLua_System_isSystemKeyDown (const System *sys, SystemKey k)
void | ceguiLua_Thumb_getHorzRange (Thumb *wnd, float *min, float *max)
void | ceguiLua_Thumb_getVertRange (Thumb *wnd, float *min, float *max)
static void | createQuadRenderOp (Ogre::RenderOperation &d_render_op, Ogre::HardwareVertexBufferSharedPtr &d_buffer, size_t nquads)
static void | destroyQuadRenderOp (Ogre::RenderOperation &d_render_op, Ogre::HardwareVertexBufferSharedPtr &d_buffer)

## Typedef Documentation

typedef Event::Connection CEGUI::EventConnection

typedef EventSet::Iterator CEGUI::EventIterator

typedef WindowFactoryManager::FalagardMappingIterator CEGUI::FalagardMappingIterator

typedef WindowFactoryManager::FalagardWindowMapping CEGUI::FalagardWindowMapping

typedef std::ofstream CEGUI::FileStream

typedef FontManager::FontIterator CEGUI::FontIterator

typedef Imageset::ImageIterator CEGUI::ImageIterator

typedef ImagesetManager::ImagesetIterator CEGUI::ImagesetIterator

typedef PropertySet::Iterator CEGUI::PropertyIterator

typedef SchemeManager::SchemeIterator CEGUI::SchemeIterator

typedef WindowFactoryManager::WindowFactoryIterator CEGUI::WindowFactoryIterator

typedef WindowManager::WindowIterator CEGUI::WindowIterator

## Function Documentation

void CEGUI::_byteSwap | ( | unsigned char * | b,
|  | int | n |
| ) |  |  |

ListboxTextItem * CEGUI::ceguiLua_createListboxTextItem | ( | const String & | text,
|  | uint | item_id,
|  | void * | item_data,
|  | bool | disabled,
|  | bool | auto_delete |
| ) |  |  |

Referenced by tolua_CEGUI_CEGUI_createListboxTextItem00().

void CEGUI::ceguiLua_FileStream_open | ( | FileStream * | os,
|  | const char * | filename |
| ) |  |  |

Referenced by tolua_CEGUI_CEGUI_FileStream_open00().

template<typename T>

EventIterator CEGUI::ceguiLua_getEventIterator | ( | const T * | self | ) | `[inline]`

Referenced by tolua_CEGUI_CEGUI_EventSet_getEventIterator00(), tolua_CEGUI_CEGUI_MouseCursor_getEventIterator00(), tolua_CEGUI_CEGUI_Renderer_getEventIterator00(), tolua_CEGUI_CEGUI_System_getEventIterator00(), and tolua_CEGUI_CEGUI_Window_getEventIterator00().

template<typename T>

PropertyIterator CEGUI::ceguiLua_getPropertyIterator | ( | const T * | self | ) | `[inline]`

Referenced by tolua_CEGUI_CEGUI_Font_getPropertyIterator00(), and tolua_CEGUI_CEGUI_Window_getPropertyIterator00().

bool CEGUI::ceguiLua_System_isSystemKeyDown | ( | const System * | sys,
|  | SystemKey | k |
| ) |  |  |

Referenced by tolua_CEGUI_CEGUI_System_isSystemKeyDown00().

void CEGUI::ceguiLua_Thumb_getHorzRange | ( | Thumb * | wnd,
|  | float * | min,
|  | float * | max |
| ) |  |  |

Referenced by tolua_CEGUI_CEGUI_Thumb_getHorzRange00().

void CEGUI::ceguiLua_Thumb_getVertRange | ( | Thumb * | wnd,
|  | float * | min,
|  | float * | max |
| ) |  |  |

Referenced by tolua_CEGUI_CEGUI_Thumb_getVertRange00().

static void CEGUI::createQuadRenderOp | ( | Ogre::RenderOperation & | d_render_op,
|  | Ogre::HardwareVertexBufferSharedPtr & | d_buffer,
|  | size_t | nquads |
| ) |  |  | `[static]`

Referenced by CEGUI::OgreCEGUIRenderer::constructor_impl(), and CEGUI::OgreCEGUIRenderer::doRender().

static void CEGUI::destroyQuadRenderOp | ( | Ogre::RenderOperation & | d_render_op,
|  | Ogre::HardwareVertexBufferSharedPtr & | d_buffer |
| ) |  |  | `[static]`

Referenced by CEGUI::OgreCEGUIRenderer::doRender(), and CEGUI::OgreCEGUIRenderer::~OgreCEGUIRenderer().